$('C_Type').onchange=function(){
	SelectType();
}

function SelectType()
{
	
	$('W_Url').parentNode.parentNode.style.display="none";
	$('W_UrlReg').parentNode.parentNode.style.display="none";
	$('W_ForbiddenUrl').parentNode.parentNode.style.display="none";
	$('W_Keys').parentNode.parentNode.style.display="none";
	
	switch($('C_Type').value)
	{
		case "0":
		case "1":
		{
	
			$('W_Url').parentNode.parentNode.style.display="";
			$('W_UrlReg').parentNode.parentNode.style.display="";
			$('W_ForbiddenUrl').parentNode.parentNode.style.display="";
				
			break;
		}
		case "2":
		case "3":
		{
			$('W_Keys').parentNode.parentNode.style.display="";
			break;
		}
	}	

}

function LoadBody()
{
	SelectType();
	//分析xml
	
	switch($('C_Type').value)
	{
		case "0":
		case "1":
		{
			$('W_Url').value=GetRegExp($('C_XML').value,"<W_Url>((.|\n)*?)</W_Url>",1);
			$('W_UrlReg').value=GetRegExp($('C_XML').value,"<W_UrlReg>((.|\n)*?)</W_UrlReg>",1);
			$('W_ForbiddenUrl').value=GetRegExp($('C_XML').value,"<W_ForbiddenUrl>((.|\n)*)</W_ForbiddenUrl>",1);
			break;
		}
		case "2":
		case "3":
		{
			$('W_Keys').value=GetRegExp($('C_XML').value,"<W_Keys>((.|\n)*?)</W_Keys>",1);
			break;
		}
	}	
}
